Skip to navigation

Get run results

Get the results of a completed automation app run.

The results from this endpoint are paginated. The has_more field in the response indicates if there are more results to fetch and the file_offset query parameter can be used to specify the starting point for the next set of results.

For an example of using file_offset to fetch all results, see the Retrieving paginated results code sample.

This API operation might return field names that differ from those in the automation project. The operation converts field names to valid Python variable names by:

  • Allowing only letters, numbers, and underscores
  • Requiring names to start with a letter or underscore
  • Replacing invalid characters with underscores
  • Converting single underscores to double underscores

Examples:

  • due date → due_date
  • driver's license → driver_s_license
  • 3rd category → _3rd_category
  • secret_id → secret__id

These changes apply only to field names in the API response. The field names in the automation project are not changed.

Authentication

AuthorizationBearer
Bearer HTTP authentication.

Path parameters

run_idstringRequired
The run ID.

Headers

IB-ContextstringOptional

Typically your organization ID. See Authorization and context identification for details.

Query parameters

include_review_resultsbooleanOptionalDefaults to false

Whether to include human review details in the results. When set to true, various human review details are returned.

The review process can include manually correcting values. This endpoint doesn't support returning the original and corrected values.

The following values are returned at the document level (files/documents/...):

  • review_completed
  • class_edit_history
  • class_edit_history/timestamp
  • class_edit_history/user_id
  • class_edit_history/modifications
  • class_edit_history/modifications/message

The following values are returned at the field level (files/documents/fields/...):

  • edit_history
  • edit_history/timestamp
  • edit_history/user_id
  • edit_history/modifications
  • edit_history/modifications/message

The following values are returned at the packet level (also known as case level) (case_info/fields/...):

  • edit_history
  • edit_history/timestamp
  • edit_history/user_id
  • edit_history/modifications
  • edit_history/modifications/message

See the response schema for details and descriptions.

include_confidence_scoresbooleanOptionalDefaults to false

Whether to include confidence scores in the results. When set to true, various confidence scores are returned.

The following values are returned at the document level (files/documents/...):

  • classification_confidence

The following values are returned at the field level (files/documents/fields/...):

  • confidence/model
  • confidence/ocr

See the response schema for details and descriptions.

include_validation_resultsbooleanOptionalDefaults to false

Whether to include validation status in the results. When set to true, various validation results are returned.

The following values are returned at the document level (files/documents/...):

  • validations/final_result_pass

The following values are returned at the field level (files/documents/fields/...):

  • validations/valid
  • validations/alerts

The following values are returned at the packet level (also known as case level) (case_info/fields/...):

  • validations/valid
  • validations/failures

Cross-class validation ensures data quality and consistency across documents within a packet.

See the response schema for details and descriptions.

include_source_infobooleanOptionalDefaults to false

Whether to include source information in the results. When set to true, various source details are returned.

The following values are returned at the document level (files/documents/...):

  • post_processed_paths

  • post_processed_pdf_path

    A post_processed_pdf_path is populated when settings/runtime_config/generate_post_process_pdf=true. Paths to PDFs are generated from each document, with separate PDF paths for documents split during classification.

  • page_layouts

The following values are returned at the field level (files/documents/fields/...):

  • source_coordinates/top_x
  • source_coordinates/top_y
  • source_coordinates/bottom_x
  • source_coordinates/bottom_y
  • source_coordinates/page_number

See the response schema for details and descriptions.

file_offsetintegerOptionalDefaults to 0

The initial file index to start returning results from. Defaults to 0.

Response

Run results retrieved successfully.

If errors occur at the class, field, or document levels, the response status code is 200 and the response body includes error details.

idstringOptional
Run ID of the run.
statusenumOptional

Status of the run. Possible values and meanings:

  • CANCELLED -- A user cancelled the run
  • COMPLETE -- The run successfully completed. A human review completed if it was required. Results are retrievable, but some fields may have failed and have the value ERROR.
  • FAILED -- The run failed to complete
  • PAUSED -- This status is reserved for future use
  • RUNNING -- The run is in progress and is not paused
  • STOPPED_AT_CHECKPOINT -- A validation error has paused the run for human review
messagestring or nullOptional
Message about the run.
start_timestamplongOptional
When the run started, in Unix time nanoseconds.
finish_timestamplong or nullOptional

When the run finished, in Unix time nanoseconds. null if run is still in progress.

batch_idstringOptional
The batch ID used as input for this run, if run using a batch.
fileslist of objectsOptional
keysobjectOptional
case_infoobjectOptional

Packet-level information (also known as case-level information) captured for the run, including optional edit history per cross-class field when include_review_results=true.

Cross-class fields consolidate data extracted from standard fields within a packet. For more information about packets and cross-class fields, see Extracting data from packets.

review_completedbooleanOptional
Indicates whether the run or document has completed review.
has_morebooleanOptional

Indicates whether additional results are available beyond those included in the current response. Use the file_offset query parameter to specify the starting point when fetching the next set of results.